File "/usr/libexec/urlgrabber-ext-down", line 28 except OSError, e:

 

001、问题

 

 

002、问题原因

原因为升级python后新建了软连接指向了新版本,除非同时升级yum不然无法使用。需要手动更改报错文件指向python2后即可解决。

 

003、解决方法

找出python2.7的路径

whereis python

 

 

编辑报错的配置文件,vim /usr/libexec/urlgrabber-ext-down; 在文件开头添加python2.7的路径

 

 

004、测试效果

yum install sqlite*

 

posted @ 2022-10-21 16:43  小鲨鱼2018  阅读(1883)  评论(0编辑  收藏  举报